<!-- templates/home.html -->
{% extends 'base.html' %}
{% load gestion_projets_extras %}
{% load static %}

{% block title %}Profil{% endblock %}
{% block titlePage %}Profil{% endblock %}

{% block menu %}
	{% if user.is_authenticated %}
		{% include "includes/menu.html" with active_tab='tab1' %}
	{% endif %}
{% endblock %}

{% block breadcrumbs %}
	<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
	<li class="page-item"><a href="{% url 'account:profile'}" class="page-link">Profile </a></li>
{% endblock %}

{% block content %}
	
	<div class="m-3">
        <div class="row">
            <div class="cell-4">
                <div class="img-container">
                    {% if user.profile %}
                        <img src="{{ user.profile.image.url }}" class="avatar">
                    {% else %}
                        <img src="{% static "images/jek_vorobey.jpg" %}" class="avatar">
                    {% endif %}
                </div>
            </div>
            <div class="cell-8">
                <div class="panel p-4" >
                    <div class="row">
                        <div class="cell-2 text-bold">Nom de compte</div>
                        <div class="cell-10">{{ user.username }}</div>
                    </div>
                    <div class="row">
                        <div class="cell-2 text-bold">Nom</div>
                        <div class="cell-10">{{ user.last_name }}</div>
                    </div>
                    <div class="row">
                        <div class="cell-2 text-bold">Prénom</div>
                        <div class="cell-10">{{ user.first_name }}</div>
                    </div>
                    <div class="row">
                        <div class="cell-2 text-bold">Email</div>
                        <div class="cell-10">{{ user.email }}</div>
                    </div>
                </div>

                <div class="panel mt-3 p-4" >
                    <div class="row">
                        <div class="cell-2 text-bold">Statut</div>
                        <div class="cell-10">
                            {% if user|has_group:"Admin" %}Administrateur<br>{%endif%}
                            {% if user|has_group:"Tutor" %}Tuteur<br>{%endif%}
                            {% if user|has_group:"Teacher" %}Enseignant<br>{%endif%}
                            {% if user|has_group:"Student" %}Etudiant<br>{%endif%}
                        </div>
                    </div>
                    <div class="row">
                        <div class="cell-2 text-bold">Groupes</div>
                        <div class="cell-10">
                            {% for group in user.groups.all%}
                                {% if group.name != "Teacher" and group.name != "Student" and group.name != "Tutor" and group.name != "Admin"  %}
                                    {{ group }}<br>
                                {%endif%}
                            {% endfor %}
                        </div>
                    </div>
                </div>
                <div class="panel mt-3 p-4" >
                    <div >
                        <div class="text-bold">Importez votre photo de profil<br><br></div>
                        
                        <form action="{% url 'account:load_profile_picture' %}" method="POST" enctype="multipart/form-data">
                            {% csrf_token %}

                            <div class="form-group">
                                <input type="file" name="document" data-role="file" data-button-title="<span class='mif-folder'></span>">
                                <small class="text-muted">De préférence, mettre une image carrée de taille 400x400.</small>
                            </div>
                            
                            <div class="form-group">
                                <button id="success" class="image-button success" type="submit" value="Submit">
                                    <span class="mif-checkmark icon"></span>
                                    <span class="caption">Valider</span>
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
	</div>

{% endblock %}

